local addonName, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

-- Current WoW Version
addonTable.CURRENT_WOW_VERSION = select(4, GetBuildInfo());

-- WoW Version Constraints
addonTable.WOW_VERSION_MIN = 70000;
addonTable.WOW_VERSION_MAX = 79999;

-- SpellIDs
addonTable.ACTIVATE_PRIMARY_SPEC = 63645;
addonTable.ACTIVATE_SECONDARY_SPEC = 63644;
addonTable.ACTIVATE_SPEC = 200749;

-- Color Variables
addonTable.TEXT_COLOR_TAG_ACTIVE = string.join("", "|c", "FF", "00", "FF", "00");
addonTable.TEXT_COLOR_TAG_INACTIVE = string.join("", "|c", "FF", "FF", "00", "00");	
addonTable.TEXT_COLOR_TAG_DEFAULT = string.join("", "|c","FF", "7F", "CC", "FF");
addonTable.TEXT_COLOR_TAG_END = "|r";

-- General Addon Event Messages
addonTable.LESM_LOAD = "LESM_LOAD";
addonTable.LESM_CLOSE = "LESM_CLOSE";

-- Combat Messages
addonTable.LESM_ENTER_COMBAT = "LESM_ENTER_COMBAT";
addonTable.LESM_LEFT_COMBAT = "LESM_LEFT_COMBAT";

-- Specialization Messages
addonTable.LESM_SPEC_ADDED = "LESM_SPEC_ADDED";
addonTable.LESM_SPEC_CHANGE_START = "LESM_SPEC_CHANGE_START";
addonTable.LESM_SPEC_CHANGE_FINISH = "LESM_SPEC_CHANGE_FINISH";
addonTable.LESM_SPEC_REMOVED = "LESM_SPEC_REMOVED";

-- Loot Specialization Messages
addonTable.LESM_LOOTSPEC_CHANGED = "LESM_LOOTSPEC_CHANGED";

-- LDB Module Messages
addonTable.LESM_MINIMAP_TOGGLE = "LESM_MINIMAP_TOGGLE";

-- Inter-client Communication
addonTable.LESM_PRO_SEND = "LESM_PRO_SEND";
addonTable.LESM_PRO_REC = "LESM_PRO_REC";
addonTable.LESM_RECEIVE_FAILURE = "Message receive failure!";
addonTable.LESM_RECEIVE_SUCCESS = "Message received successfully!";

-- Debug Module Messages
addonTable.LESM_DEBUG = "LE_DEBUG";